---
schema_version: "1"
id: 6e1295f4d55389fd86a4dafaf9f405ba16c47f035148e66b9f830eafcb375d66
title: Delete a Job
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-asynch/guides/api-bulk-v2/reference/delete-job.md
canonical_url: https://developer.salesforce.com/docs/platform/api-asynch/guide/delete-job.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: c9b1c8a666f709db76aa954eb87487b9f7aa886d7b832fd81bfe66f24c65c3df
products:
  - Bulk API 2.0 and Bulk API Developer Guide
  - Platform Developer Content
---

# Delete a Job

Deletes a job. To be deleted, a job must have a state of `UploadComplete`, `JobComplete`, `Aborted`, or `Failed`.

**URI:** `/services/data/vXX.X/jobs/ingest/jobID`

**Availability:** This resource is available in API version 41.0 and later.

**Formats:** JSON

**HTTP Method:** DELETE

**Authentication:** `Authorization: Bearer token`

**Parameters:** None.

**Request Body**

None required.

**Response Body**

None. Returns a status code of 204 (No Content), which indicates that the job was successfully deleted.

**Usage Notes:** When a job is deleted, job data stored by Salesforce is also deleted and job metadata information is removed. The job will no longer display in the Bulk Data Load Jobs page in Salesforce.
